Index: issm/trunk/src/c/analyses/UzawaPressureAnalysis.h
===================================================================
--- issm/trunk/src/c/analyses/UzawaPressureAnalysis.h	(revision 18301)
+++ issm/trunk/src/c/analyses/UzawaPressureAnalysis.h	(revision 18301)
@@ -0,0 +1,34 @@
+/*! \file UzawaPressureAnalysis.h 
+ *  \brief: header file for generic external result object
+ */
+
+#ifndef _UzawaPressureAnalysis_
+#define _UzawaPressureAnalysis_
+
+/*Headers*/
+#include "./Analysis.h"
+
+class UzawaPressureAnalysis: public Analysis{
+
+	public:
+		/*Model processing*/
+		int  DofsPerNode(int** doflist,int domaintype,int approximation);
+		void UpdateParameters(Parameters* parameters,IoModel* iomodel,int solution_enum,int analysis_enum);
+		void UpdateElements(Elements* elements,IoModel* iomodel,int analysis_counter,int analysis_type);
+		void CreateNodes(Nodes* nodes,IoModel* iomodel);
+		void CreateConstraints(Constraints* constraints,IoModel* iomodel);
+		void CreateLoads(Loads* loads, IoModel* iomodel);
+
+		/*Finite element Analysis*/
+		void           Core(FemModel* femmodel);
+		ElementVector* CreateDVector(Element* element);
+		ElementMatrix* CreateJacobianMatrix(Element* element);
+		ElementMatrix* CreateKMatrix(Element* element);
+		ElementVector* CreatePVector(Element* element);
+		void GetM(IssmDouble* M,Element* element,Gauss* gauss);
+		void GetSolutionFromInputs(Vector<IssmDouble>* solution,Element* element);
+		void GradientJ(Vector<IssmDouble>* gradient,Element* element,int control_type,int control_index);
+		void InputUpdateFromSolution(IssmDouble* solution,Element* element);
+		void UpdateConstraints(FemModel* femmodel);
+};
+#endif
Index: issm/trunk/src/c/analyses/analyses.h
===================================================================
--- issm/trunk/src/c/analyses/analyses.h	(revision 18081)
+++ issm/trunk/src/c/analyses/analyses.h	(revision 18301)
@@ -37,4 +37,5 @@
 #include "./StressbalanceSIAAnalysis.h"
 #include "./StressbalanceVerticalAnalysis.h"
+#include "./UzawaPressureAnalysis.h"
 #include "./L2ProjectionBaseAnalysis.h"
 #include "./L2ProjectionEPLAnalysis.h"
Index: issm/trunk/src/c/bamg/AdjacentTriangle.cpp
===================================================================
--- issm/trunk/src/c/bamg/AdjacentTriangle.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/AdjacentTriangle.cpp	(revision 18301)
@@ -13,42 +13,34 @@
 
 	/*Methods*/
-	/*FUNCTION AdjacentTriangle::Locked {{{*/
-	int  AdjacentTriangle::Locked() const {
+	int  AdjacentTriangle::Locked() const {/*{{{*/
 		return t->AdjEdgeIndex[a] & 4;
 	}
 	/*}}}*/
-	/*FUNCTION AdjacentTriangle::GetAllFlag_UnSwap {{{*/
-	int  AdjacentTriangle::GetAllFlag_UnSwap() const {
+	int  AdjacentTriangle::GetAllFlag_UnSwap() const {/*{{{*/
 		// take all flag except MarkUnSwap
 		return t->AdjEdgeIndex[a] & 1012;
 	}
 	/*}}}*/
-	/*FUNCTION AdjacentTriangle::SetLock {{{*/
-	void AdjacentTriangle::SetLock(){
+	void AdjacentTriangle::SetLock(){/*{{{*/
 		t->SetLocked(a);
 	}
 	/*}}}*/
-	/*FUNCTION AdjacentTriangle::Adj {{{*/
-	AdjacentTriangle AdjacentTriangle::Adj() const {
+	AdjacentTriangle AdjacentTriangle::Adj() const {/*{{{*/
 		return  t->Adj(a);
 	}
 	/*}}}*/
-	/*FUNCTION AdjacentTriangle::EdgeVertex {{{*/
-	BamgVertex* AdjacentTriangle::EdgeVertex(const int & i) const {
+	BamgVertex* AdjacentTriangle::EdgeVertex(const int & i) const {/*{{{*/
 		return t->vertices[VerticesOfTriangularEdge[a][i]];
 	}
 	/*}}}*/
-	/*FUNCTION AdjacentTriangle::det {{{*/
-	Icoor2 & AdjacentTriangle::det() const {
+	Icoor2 & AdjacentTriangle::det() const {/*{{{*/
 		return t->det;
 	}
 	/*}}}*/
-	/*FUNCTION AdjacentTriangle::swap {{{*/
-	int AdjacentTriangle::swap(){
+	int AdjacentTriangle::swap(){/*{{{*/
 		return  t->swap(a);
 	}
 	/*}}}*/
-	/*FUNCTION AdjacentTriangle::SetAdj2 {{{*/
-	void AdjacentTriangle::SetAdj2(const AdjacentTriangle & ta, int l  ){
+	void AdjacentTriangle::SetAdj2(const AdjacentTriangle & ta, int l  ){/*{{{*/
 		//set Adjacent Triangle of a triangle
 		if(t) {
Index: issm/trunk/src/c/bamg/BamgGeom.cpp
===================================================================
--- issm/trunk/src/c/bamg/BamgGeom.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/BamgGeom.cpp	(revision 18301)
@@ -3,6 +3,5 @@
 
 /*Constructors/Destructors*/
-/*FUNCTION BamgGeom::BamgGeom(){{{*/
-BamgGeom::BamgGeom(){
+BamgGeom::BamgGeom(){/*{{{*/
 
 	this->VerticesSize[0]=0,          this->VerticesSize[1]=0;          this->Vertices=NULL;
@@ -17,6 +16,5 @@
 }
 /*}}}*/
-/*FUNCTION BamgGeom::~BamgGeom(){{{*/
-BamgGeom::~BamgGeom(){
+BamgGeom::~BamgGeom(){/*{{{*/
 
 	xDelete<double>(this->Vertices);
Index: issm/trunk/src/c/bamg/BamgMesh.cpp
===================================================================
--- issm/trunk/src/c/bamg/BamgMesh.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/BamgMesh.cpp	(revision 18301)
@@ -3,6 +3,5 @@
 
 /*Constructors/Destructors*/
-/*FUNCTION BamgMesh::BamgMesh(){{{*/
-BamgMesh::BamgMesh(){
+BamgMesh::BamgMesh(){/*{{{*/
 
 	this->VerticesSize[0]=0,                  this->VerticesSize[1]=0;                 this->Vertices=NULL;
@@ -28,6 +27,5 @@
 }
 /*}}}*/
-/*FUNCTION BamgMesh::~BamgMesh(){{{*/
-BamgMesh::~BamgMesh(){
+BamgMesh::~BamgMesh(){/*{{{*/
 
 	xDelete<double>(this->Vertices);
Index: issm/trunk/src/c/bamg/BamgOpts.cpp
===================================================================
--- issm/trunk/src/c/bamg/BamgOpts.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/BamgOpts.cpp	(revision 18301)
@@ -3,6 +3,5 @@
 
 /*Constructors/Destructors*/
-/*FUNCTION BamgOpts::BamgOpts() {{{*/
-BamgOpts::BamgOpts(){
+BamgOpts::BamgOpts(){/*{{{*/
 
 	this->anisomax=0;
@@ -39,6 +38,5 @@
 }
 /*}}}*/
-/*FUNCTION BamgOpts::~BamgOpts() {{{*/
-BamgOpts::~BamgOpts(){
+BamgOpts::~BamgOpts(){/*{{{*/
 
 	xDelete<double>(this->hminVertices);
@@ -53,6 +51,5 @@
 
 /*Methods*/
-/*FUNCTION BamgOpts::Check{{{*/
-void BamgOpts::Check(void){
+void BamgOpts::Check(void){/*{{{*/
 
 	int i;
Index: issm/trunk/src/c/bamg/BamgQuadtree.cpp
===================================================================
--- issm/trunk/src/c/bamg/BamgQuadtree.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/BamgQuadtree.cpp	(revision 18301)
@@ -98,6 +98,5 @@
 
 	/*Constructors/Destructors*/
-	/*FUNCTION BamgQuadtree::BamgQuadtree(){{{*/
-	BamgQuadtree::BamgQuadtree(){
+	BamgQuadtree::BamgQuadtree(){/*{{{*/
 
 		/*Number of boxes and vertices*/
@@ -113,6 +112,5 @@
 		}
 	/*}}}*/
-	/*FUNCTION BamgQuadtree::BamgQuadtree(Mesh * t,long nbv){{{*/
-	BamgQuadtree::BamgQuadtree(Mesh * t,long nbv){ 
+	BamgQuadtree::BamgQuadtree(Mesh * t,long nbv){ /*{{{*/
 
 		/*Number of boxes and vertices*/
@@ -135,6 +133,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION BamgQuadtree::~BamgQuadtree(){{{*/
-	BamgQuadtree::~BamgQuadtree() {
+	BamgQuadtree::~BamgQuadtree() {/*{{{*/
 		delete boxcontainer;
 		root=NULL;
@@ -143,6 +140,5 @@
 
 	/*Methods*/
-	/*FUNCTION BamgQuadtree::Add{{{*/
-	void  BamgQuadtree::Add(BamgVertex &w){
+	void  BamgQuadtree::Add(BamgVertex &w){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, BamgQuadtree.cpp/Add)*/
 		BamgQuadtreeBox** pb=NULL;
@@ -232,6 +228,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION BamgQuadtree::NearestVertex{{{*/
-	BamgVertex*  BamgQuadtree::NearestVertex(Icoor1 i,Icoor1 j) {
+	BamgVertex*  BamgQuadtree::NearestVertex(Icoor1 i,Icoor1 j) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, BamgQuadtree.cpp/NearestVertex)*/
 
@@ -391,6 +386,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION BamgQuadtree::NewBamgQuadtreeBox {{{*/
-	BamgQuadtree::BamgQuadtreeBox* BamgQuadtree::NewBamgQuadtreeBox(void){
+	BamgQuadtree::BamgQuadtreeBox* BamgQuadtree::NewBamgQuadtreeBox(void){/*{{{*/
 
 		/*Output*/
@@ -414,6 +408,5 @@
 		return newbox;
 	}/*}}}*/
-	/*FUNCTION BamgQuadtree::ToClose {{{*/
-	BamgVertex*   BamgQuadtree::ToClose(BamgVertex & v,double seuil,Icoor1 hx,Icoor1 hy){
+	BamgVertex*   BamgQuadtree::ToClose(BamgVertex & v,double seuil,Icoor1 hx,Icoor1 hy){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, BamgQuadtree.cpp/ToClose)*/
 
Index: issm/trunk/src/c/bamg/BamgVertex.cpp
===================================================================
--- issm/trunk/src/c/bamg/BamgVertex.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/BamgVertex.cpp	(revision 18301)
@@ -11,7 +11,5 @@
 
 	/*Methods*/
-	/*FUNCTION BamgVertex::Echo {{{*/
-
-	void BamgVertex::Echo(void){
+	void BamgVertex::Echo(void){/*{{{*/
 
 		_printf_("Vertex:\n");
@@ -24,11 +22,9 @@
 	}
 	/*}}}*/
-	/*FUNCTION BamgVertex::GetReferenceNumber{{{*/
-	int  BamgVertex::GetReferenceNumber() const { 
+	int  BamgVertex::GetReferenceNumber() const { /*{{{*/
 		return ReferenceNumber;
 	}
 	/*}}}*/
-	/*FUNCTION BamgVertex::MetricFromHessian{{{*/
-	void BamgVertex::MetricFromHessian(const double Hxx,const double Hyx, const double Hyy,const double smin,const double smax,const double s,double err,BamgOpts* bamgopts){
+	void BamgVertex::MetricFromHessian(const double Hxx,const double Hyx, const double Hyy,const double smin,const double smax,const double s,double err,BamgOpts* bamgopts){/*{{{*/
 		/*Compute Metric from Hessian*/
 
@@ -108,6 +104,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION BamgVertex::Optim {{{*/
-	long BamgVertex::Optim(int i,int koption){ 
+	long BamgVertex::Optim(int i,int koption){ /*{{{*/
 		long ret=0;
 		if ( t && (IndexInTriangle >= 0 ) && (IndexInTriangle <3) ){
@@ -121,6 +116,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION BamgVertex::Smoothing{{{*/
-	double  BamgVertex::Smoothing(Mesh &Th,const Mesh &BTh,Triangle* &tstart ,double omega){
+	double  BamgVertex::Smoothing(Mesh &Th,const Mesh &BTh,Triangle* &tstart ,double omega){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/Smoothing)*/
 
@@ -227,6 +221,5 @@
 
 	/*Intermediary*/
-	/*FUNCTION QuadQuality{{{*/
-	double QuadQuality(const BamgVertex & a,const BamgVertex &b,const BamgVertex &c,const BamgVertex &d) {
+	double QuadQuality(const BamgVertex & a,const BamgVertex &b,const BamgVertex &c,const BamgVertex &d) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, MeshQuad.cpp/QuadQuality)*/
 
Index: issm/trunk/src/c/bamg/CrackedEdge.cpp
===================================================================
--- issm/trunk/src/c/bamg/CrackedEdge.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/CrackedEdge.cpp	(revision 18301)
@@ -9,6 +9,5 @@
 
 	/*Constructors/Destructors*/
-	/*FUNCTION CrackedEdge() {{{*/
-	CrackedEdge::CrackedEdge() {
+	CrackedEdge::CrackedEdge() {/*{{{*/
 		a=NULL;
 		b=NULL;
Index: issm/trunk/src/c/bamg/Curve.cpp
===================================================================
--- issm/trunk/src/c/bamg/Curve.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/Curve.cpp	(revision 18301)
@@ -10,6 +10,5 @@
 
 	/*Constructors/Destructors*/
-	/*FUNCTION Curve::Curve(){{{*/
-	Curve::Curve(){
+	Curve::Curve(){/*{{{*/
 		FirstEdge=NULL;
 		LastEdge=NULL;
@@ -20,6 +19,5 @@
 
 	/*Methods*/
-	/*FUNCTION Curve::Set {{{*/
-	void Curve::Set(const Curve & rec,const Geometry & Gh ,Geometry & GhNew){
+	void Curve::Set(const Curve & rec,const Geometry & Gh ,Geometry & GhNew){/*{{{*/
 		*this = rec;
 		FirstEdge = GhNew.edges + Gh.GetId(FirstEdge);    
Index: issm/trunk/src/c/bamg/Direction.cpp
===================================================================
--- issm/trunk/src/c/bamg/Direction.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/Direction.cpp	(revision 18301)
@@ -9,11 +9,9 @@
 
 	/*Constructors/Destructors*/
-	/*FUNCTION Direction() {{{*/
-	Direction::Direction():
+	Direction::Direction():/*{{{*/
 		dir(MaxICoor){
 
 	}/*}}}*/
-	/*FUNCTION Direction(Icoor1 i,Icoor1 j) {{{*/
-	Direction::Direction(Icoor1 i,Icoor1 j) {
+	Direction::Direction(Icoor1 i,Icoor1 j) {/*{{{*/
 		Icoor2 n2 = 2*(Abs(i)+Abs(j));  
 		Icoor2 r  = MaxICoor* (Icoor2) i;
@@ -23,6 +21,5 @@
 
 	/*Methods*/
-	/*FUNCTION Direction::direction{{{*/
-	int Direction::direction(Icoor1 i,Icoor1 j) {
+	int Direction::direction(Icoor1 i,Icoor1 j) {/*{{{*/
 		int r =1; 
 		if (dir!= MaxICoor) {
Index: issm/trunk/src/c/bamg/Edge.cpp
===================================================================
--- issm/trunk/src/c/bamg/Edge.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/Edge.cpp	(revision 18301)
@@ -14,6 +14,5 @@
 
 	/*Methods*/
-	/*FUNCTION Edge::Set {{{*/
-	void Edge::Set(const Mesh & Th ,long i,Mesh & ThNew){ 
+	void Edge::Set(const Mesh & Th ,long i,Mesh & ThNew){ /*{{{*/
 		*this = Th.edges[i];
 		v[0] = ThNew.vertices + Th.GetId(v[0]);    
@@ -25,6 +24,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Edge::Echo {{{*/
-	void Edge::Echo(void){ 
+	void Edge::Echo(void){ /*{{{*/
 		_printf_("Edge:\n");
 		_printf_("   pointers towards two vertices: " << v[0] << " " << v[1] << "\n");
@@ -34,6 +32,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Edge::Renumbering{{{*/
-	void Edge::Renumbering(BamgVertex *vb,BamgVertex *ve, long *renu){
+	void Edge::Renumbering(BamgVertex *vb,BamgVertex *ve, long *renu){/*{{{*/
 
 		if (v[0] >=vb && v[0] <ve) v[0] = vb + renu[v[0]-vb];
@@ -42,6 +39,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Edge::Intersection{{{*/
-	int Edge::Intersection(const  Edge & e){ 
+	int Edge::Intersection(const  Edge & e){ /*{{{*/
 
 		/*some shecks*/
Index: issm/trunk/src/c/bamg/EigenMetric.cpp
===================================================================
--- issm/trunk/src/c/bamg/EigenMetric.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/EigenMetric.cpp	(revision 18301)
@@ -10,6 +10,5 @@
 
 	/*Constructor*/
-	/*FUNCTION EigenMetric::EigenMetric(const Metric M){{{*/
-	EigenMetric::EigenMetric(const Metric& M){
+	EigenMetric::EigenMetric(const Metric& M){/*{{{*/
 		/*From a metric (a11,a21,a22), get eigen values lambda1 and lambda2 and one eigen vector v*/
 
@@ -89,20 +88,16 @@
 	}
 	/*}}}*/
-	/*FUNCTION EigenMetric::EigenMetric(double r1,double r2,const D2 vp1){{{*/
-	EigenMetric::EigenMetric(double r1,double r2,const D2& vp1): lambda1(r1),lambda2(r2),v(vp1){
+	EigenMetric::EigenMetric(double r1,double r2,const D2& vp1): lambda1(r1),lambda2(r2),v(vp1){/*{{{*/
 
 	}/*}}}*/
 
 	/*Methods*/
-	/*FUNCTION EigenMetric::Abs{{{*/
-	void   EigenMetric::Abs(){
+	void   EigenMetric::Abs(){/*{{{*/
 		lambda1=bamg::Abs(lambda1),lambda2=bamg::Abs(lambda2);
 	}/*}}}*/
-	/*FUNCTION EigenMetric::Aniso2{{{*/
-	double EigenMetric::Aniso2() const  { 
+	double EigenMetric::Aniso2() const  { /*{{{*/
 		return lmax()/lmin();
 	}/*}}}*/
-	/*FUNCTION EigenMetric::Echo {{{*/
-	void EigenMetric::Echo(void){
+	void EigenMetric::Echo(void){/*{{{*/
 
 		_printf_("EigenMetric:\n");
@@ -115,40 +110,31 @@
 	}
 	/*}}}*/
-	/*FUNCTION EigenMetric::hmin{{{*/
-	double EigenMetric::hmin() const {
+	double EigenMetric::hmin() const {/*{{{*/
 		return sqrt(1/bamg::Max3(lambda1,lambda2,1e-30));
 	}/*}}}*/
-	/*FUNCTION EigenMetric::hmax{{{*/
-	double EigenMetric::hmax() const {
+	double EigenMetric::hmax() const {/*{{{*/
 		return sqrt(1/bamg::Max(bamg::Min(lambda1,lambda2),1e-30));
 	}/*}}}*/
-	/*FUNCTION EigenMetric::lmax{{{*/
-	double EigenMetric::lmax() const {
+	double EigenMetric::lmax() const {/*{{{*/
 		return bamg::Max3(lambda1,lambda2,1e-30);
 	}/*}}}*/
-	/*FUNCTION EigenMetric::lmin{{{*/
-	double EigenMetric::lmin() const {
+	double EigenMetric::lmin() const {/*{{{*/
 		return bamg::Max(bamg::Min(lambda1,lambda2),1e-30);
 	}/*}}}*/
-	/*FUNCTION EigenMetric::Min{{{*/
-	void   EigenMetric::Min(double a) { 
+	void   EigenMetric::Min(double a) { /*{{{*/
 		lambda1=bamg::Min(a,lambda1); lambda2=bamg::Min(a,lambda2) ;
 	}/*}}}*/
-	/*FUNCTION EigenMetric::Max{{{*/
-	void   EigenMetric::Max(double a) { 
+	void   EigenMetric::Max(double a) { /*{{{*/
 		//change eigen values
 		lambda1=bamg::Max(a,lambda1); lambda2=bamg::Max(a,lambda2) ;
 	}/*}}}*/
-	/*FUNCTION EigenMetric::Minh{{{*/
-	void   EigenMetric::Minh(double h) {
+	void   EigenMetric::Minh(double h) {/*{{{*/
 		Min(1.0/(h*h));
 	}/*}}}*/
-	/*FUNCTION EigenMetric::Maxh{{{*/
-	void   EigenMetric::Maxh(double h) {
+	void   EigenMetric::Maxh(double h) {/*{{{*/
 		//Call Max function
 		Max(1.0/(h*h));
 	}/*}}}*/
-	/*FUNCTION EigenMetric::pow{{{*/
-	void   EigenMetric::pow(double p){
+	void   EigenMetric::pow(double p){/*{{{*/
 		lambda1=::pow(lambda1,p);lambda2=::pow(lambda2,p);
 	}/*}}}*/
Index: issm/trunk/src/c/bamg/GeomEdge.cpp
===================================================================
--- issm/trunk/src/c/bamg/GeomEdge.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/GeomEdge.cpp	(revision 18301)
@@ -15,10 +15,8 @@
 
 	/*Methods*/
-	/*FUNCTION GeomEdge::Cracked{{{*/
-	int    GeomEdge::Cracked() const  {
+	int    GeomEdge::Cracked() const  {/*{{{*/
 		return type &1;  
 	}/*}}}*/
-	/*FUNCTION GeomEdge::F{{{*/
-	R2 GeomEdge::F(double theta) const{
+	R2 GeomEdge::F(double theta) const{/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, MeshGeom.cpp/F)*/
 		// parametrization of the curve edge
@@ -62,10 +60,8 @@
 	  }
 	/*}}}*/
-	/*FUNCTION GeomEdge::Mark{{{*/
-	int    GeomEdge::Mark()    const  {
+	int    GeomEdge::Mark()    const  {/*{{{*/
 		return type &16; 
 	}/*}}}*/
-	/*FUNCTION GeomEdge::R1tg{{{*/
-	double GeomEdge::R1tg(double theta,R2 & t) const{
+	double GeomEdge::R1tg(double theta,R2 & t) const{/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, MeshGeom.cpp/R1tg)*/
 		// 1/R of radius of cuvature
@@ -138,10 +134,8 @@
 	}
 	/*}}}*/
-	/*FUNCTION GeomEdge::Required{{{*/
-	int    GeomEdge::Required()       {
+	int    GeomEdge::Required()       {/*{{{*/
 		return type &64; 
 	}/*}}}*/
-	/*FUNCTION GeomEdge::Set {{{*/
-	void GeomEdge::Set(const GeomEdge & rec,const Geometry & Gh ,Geometry & GhNew){ 
+	void GeomEdge::Set(const GeomEdge & rec,const Geometry & Gh ,Geometry & GhNew){ /*{{{*/
 		*this = rec;
 		v[0] = GhNew.vertices + Gh.GetId(v[0]);    
@@ -151,34 +145,26 @@
 	}
 	/*}}}*/
-	/*FUNCTION GeomEdge::SetCracked{{{*/
-	void   GeomEdge::SetCracked()     { 
+	void   GeomEdge::SetCracked()     { /*{{{*/
 		type |= 1;/*=>1st digit to 1*/
 	}/*}}}*/
-	/*FUNCTION GeomEdge::SetTgA{{{*/
-	void   GeomEdge::SetTgA()         { 
+	void   GeomEdge::SetTgA()         { /*{{{*/
 		type |=4; /*=>2d digit to 1*/
 	}/*}}}*/
-	/*FUNCTION GeomEdge::SetTgB{{{*/
-	void   GeomEdge::SetTgB()         { 
+	void   GeomEdge::SetTgB()         { /*{{{*/
 		type |=8; /*=> 3d digit to 1*/
 	}/*}}}*/
-	/*FUNCTION GeomEdge::SetMark{{{*/
-	void   GeomEdge::SetMark()        { 
+	void   GeomEdge::SetMark()        { /*{{{*/
 		type |=16;/*=> 4th digiy to 1*/
 	}/*}}}*/
-	/*FUNCTION GeomEdge::SetUnMark{{{*/
-	void   GeomEdge::SetUnMark()      { 
+	void   GeomEdge::SetUnMark()      { /*{{{*/
 		type &= 1007 /* 1023-16 = 000111110111 => 4th digit to 0*/;
 	}/*}}}*/
-	/*FUNCTION GeomEdge::SetRequired{{{*/
-	void   GeomEdge::SetRequired()    { 
+	void   GeomEdge::SetRequired()    { /*{{{*/
 		type |= 64;/*=>6th digit to 1*/ 
 	}/*}}}*/
-	/*FUNCTION GeomEdge::TgA{{{*/
-	int    GeomEdge::TgA()     const  {
+	int    GeomEdge::TgA()     const  {/*{{{*/
 		return type &4;  
 	}/*}}}*/
-	/*FUNCTION GeomEdge::TgB{{{*/
-	int    GeomEdge::TgB()     const  {
+	int    GeomEdge::TgB()     const  {/*{{{*/
 		return type &8;  
 	}/*}}}*/
Index: issm/trunk/src/c/bamg/GeomSubDomain.cpp
===================================================================
--- issm/trunk/src/c/bamg/GeomSubDomain.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/GeomSubDomain.cpp	(revision 18301)
@@ -12,6 +12,5 @@
 
 	/*Methods*/
-	/*FUNCTION GeomSubDomain::Set {{{*/
-	void GeomSubDomain::Set(const GeomSubDomain & rec,const Geometry & Gh ,const Geometry & GhNew){
+	void GeomSubDomain::Set(const GeomSubDomain & rec,const Geometry & Gh ,const Geometry & GhNew){/*{{{*/
 		*this = rec;
 		edge = Gh.GetId(edge) + GhNew.edges;
Index: issm/trunk/src/c/bamg/GeomVertex.cpp
===================================================================
--- issm/trunk/src/c/bamg/GeomVertex.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/GeomVertex.cpp	(revision 18301)
@@ -13,22 +13,18 @@
 
 	/*Methods*/
-	/*FUNCTION GeomVertex::Corner {{{*/
-	int  GeomVertex::Corner() const {
+	int  GeomVertex::Corner() const {/*{{{*/
 		return type & 4;
 	}
 	/*}}}*/
-	/*FUNCTION GeomVertex::Required {{{*/
-	int  GeomVertex::Required()const {
+	int  GeomVertex::Required()const {/*{{{*/
 		// a corner is required
 		return type & 6;
 	}
 	/*}}}*/
-	/*FUNCTION GeomVertex::SetCorner {{{*/
-	void GeomVertex::SetCorner(){
+	void GeomVertex::SetCorner(){/*{{{*/
 		type |= 4;
 	}
 	/*}}}*/
-	/*FUNCTION GeomVertex::SetRequired {{{*/
-	void GeomVertex::SetRequired(){
+	void GeomVertex::SetRequired(){/*{{{*/
 		type |= 2;
 	}
Index: issm/trunk/src/c/bamg/Geometry.cpp
===================================================================
--- issm/trunk/src/c/bamg/Geometry.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/Geometry.cpp	(revision 18301)
@@ -12,11 +12,9 @@
 
 	/*Constructors/Destructors*/
-	/*FUNCTION Geometry::Geometry(){{{*/
-	Geometry::Geometry(){
+	Geometry::Geometry(){/*{{{*/
 		Init();
 	}
 	/*}}}*/
-	/*FUNCTION Geometry::Geometry(BamgGeom* bamggeom, BamgOpts* bamgopts){{{*/
-	Geometry::Geometry(BamgGeom* bamggeom, BamgOpts* bamgopts){
+	Geometry::Geometry(BamgGeom* bamggeom, BamgOpts* bamgopts){/*{{{*/
 		Init();
 		ReadGeometry(bamggeom,bamgopts);
@@ -24,6 +22,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Geometry::Geometry(const Geometry & Gh) (COPY operator){{{*/
-	Geometry::Geometry(const Geometry & Gh) {
+	Geometry::Geometry(const Geometry & Gh) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, MeshGeom.cpp/Geometry)*/
 
@@ -44,6 +41,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Geometry::~Geometry(){{{*/
-	Geometry::~Geometry() {
+	Geometry::~Geometry() {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, MeshGeom.cpp/~Geometry)*/
 		if(NbRef>0){   _printf_("Trying to delete geometry and NbRef>0, probably due to an error"); return;}
@@ -58,6 +54,5 @@
 
 	/*IO*/
-	/*FUNCTION Geometry::ReadGeometry{{{*/
-	void Geometry::ReadGeometry(BamgGeom* bamggeom,BamgOpts* bamgopts){
+	void Geometry::ReadGeometry(BamgGeom* bamggeom,BamgOpts* bamgopts){/*{{{*/
 
 		int verbose;
@@ -277,6 +272,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Geometry::WriteGeometry{{{*/
-	void Geometry::WriteGeometry(BamgGeom* bamggeom, BamgOpts* bamgopts){
+	void Geometry::WriteGeometry(BamgGeom* bamggeom, BamgOpts* bamgopts){/*{{{*/
 
 		int verbose;
@@ -394,6 +388,5 @@
 
 	/*Methods*/
-	/*FUNCTION Geometry::Echo {{{*/
-	void Geometry::Echo(void){
+	void Geometry::Echo(void){/*{{{*/
 
 		_printf_("Geometry:\n");
@@ -415,6 +408,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Geometry::Init{{{*/
-	void Geometry::Init(void){
+	void Geometry::Init(void){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, MeshGeom.cpp/EmptyGeometry)*/
 
@@ -432,6 +424,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Geometry::MinimalHmin{{{*/
-	double Geometry::MinimalHmin() {
+	double Geometry::MinimalHmin() {/*{{{*/
 		/* coeffIcoor = (2^30-1)/D
 		 * We cannot go beyond hmin = D/2^30 because of the quadtree
@@ -439,30 +430,23 @@
 		return 2.0/coefIcoor;
 	}/*}}}*/
-	/*FUNCTION Geometry::MaximalHmax{{{*/
-	double Geometry::MaximalHmax() {
+	double Geometry::MaximalHmax() {/*{{{*/
 		return Max(pmax.x-pmin.x,pmax.y-pmin.y);
 	}/*}}}*/
-	/*FUNCTION Geometry::GetId(const GeomVertex &t){{{*/
-	long Geometry::GetId(const GeomVertex & t) const  {
+	long Geometry::GetId(const GeomVertex & t) const  {/*{{{*/
 		return &t - vertices;
 	}/*}}}*/
-	/*FUNCTION Geometry::GetId(const GeomVertex * t){{{*/
-	long Geometry::GetId(const GeomVertex * t) const  {
+	long Geometry::GetId(const GeomVertex * t) const  {/*{{{*/
 		return t - vertices;
 	}/*}}}*/
-	/*FUNCTION Geometry::GetId(const GeomEdge & t){{{*/
-	long Geometry::GetId(const GeomEdge & t) const  {
+	long Geometry::GetId(const GeomEdge & t) const  {/*{{{*/
 		return &t - edges;
 	}/*}}}*/
-	/*FUNCTION Geometry::GetId(const GeomEdge * t){{{*/
-	long Geometry::GetId(const GeomEdge * t) const  {
+	long Geometry::GetId(const GeomEdge * t) const  {/*{{{*/
 		return t - edges;
 	}/*}}}*/
-	/*FUNCTION Geometry::GetId(const Curve * c){{{*/
-	long Geometry::GetId(const Curve * c) const  {
+	long Geometry::GetId(const Curve * c) const  {/*{{{*/
 		return c - curves;
 	}/*}}}*/
-	/*FUNCTION Geometry::PostRead{{{*/
-	void Geometry::PostRead(){
+	void Geometry::PostRead(){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, MeshGeom.cpp/AfterRead)*/
 
@@ -785,6 +769,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Geometry::ProjectOnCurve {{{*/
-	GeomEdge* Geometry::ProjectOnCurve(const Edge &e,double s,BamgVertex &V,VertexOnGeom &GV) const {
+	GeomEdge* Geometry::ProjectOnCurve(const Edge &e,double s,BamgVertex &V,VertexOnGeom &GV) const {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, MeshGeom.cpp/ProjectOnCurve)*/
 		/*Add a vertex on an existing geometrical edge according to the metrics of the two vertices constituting the edge*/
@@ -918,6 +901,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Geometry::R2ToI2{{{*/
-	I2 Geometry::R2ToI2(const R2 & P) const {
+	I2 Geometry::R2ToI2(const R2 & P) const {/*{{{*/
 		/*coefIcoor is the coefficient used for integer coordinates:
 		 *                       (x-pmin.x)
@@ -931,6 +913,5 @@
 		return  I2( (Icoor1) (coefIcoor*(P.x-pmin.x)) ,(Icoor1) (coefIcoor*(P.y-pmin.y)) );
 	}/*}}}*/
-	/*FUNCTION Geometry::UnMarkEdges{{{*/
-	void Geometry::UnMarkEdges() {
+	void Geometry::UnMarkEdges() {/*{{{*/
 		for (int i=0;i<nbe;i++) edges[i].SetUnMark();
 	}/*}}}*/
Index: issm/trunk/src/c/bamg/ListofIntersectionTriangles.cpp
===================================================================
--- issm/trunk/src/c/bamg/ListofIntersectionTriangles.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/ListofIntersectionTriangles.cpp	(revision 18301)
@@ -11,12 +11,10 @@
 
 	/*Constructors Destructors*/
-	/*FUNCTION ListofIntersectionTriangles::ListofIntersectionTriangles{{{*/
-	ListofIntersectionTriangles::ListofIntersectionTriangles(int n,int m)
+	ListofIntersectionTriangles::ListofIntersectionTriangles(int n,int m)/*{{{*/
 	  : MaxSize(n), Size(0), len(-1),state(-1),lIntTria(new IntersectionTriangles[n]) ,
 	  NbSeg(0), MaxNbSeg(m), lSegsI(new SegInterpolation[m]){
 	  }
 	/*}}}*/
-	/*FUNCTION ListofIntersectionTriangles::~ListofIntersectionTriangles{{{*/
-	ListofIntersectionTriangles::~ListofIntersectionTriangles(){
+	ListofIntersectionTriangles::~ListofIntersectionTriangles(){/*{{{*/
 		if (lIntTria) delete [] lIntTria,lIntTria=0;
 		if (lSegsI) delete [] lSegsI,lSegsI=0;
@@ -25,6 +23,5 @@
 
 	/*Methods*/
-	/*FUNCTION ListofIntersectionTriangles::Init{{{*/
-	void ListofIntersectionTriangles::Init(void){
+	void ListofIntersectionTriangles::Init(void){/*{{{*/
 		state=0;
 		len=0;
@@ -32,6 +29,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION ListofIntersectionTriangles::Length{{{*/
-	double  ListofIntersectionTriangles::Length(){
+	double  ListofIntersectionTriangles::Length(){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/Length)*/
 
@@ -79,6 +75,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION ListofIntersectionTriangles::NewItem(Triangle * tt,double d0,double d1,double d2) {{{*/
-	int  ListofIntersectionTriangles::NewItem(Triangle * tt,double d0,double d1,double d2) { 
+	int  ListofIntersectionTriangles::NewItem(Triangle * tt,double d0,double d1,double d2) { /*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/NewItem)*/
 
@@ -107,6 +102,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION ListofIntersectionTriangles::NewItem(R2 A,const Metric & mm){{{*/
-	int ListofIntersectionTriangles::NewItem(R2 A,const Metric & mm) {
+	int ListofIntersectionTriangles::NewItem(R2 A,const Metric & mm) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/NewItem)*/
 
@@ -123,6 +117,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION ListofIntersectionTriangles::NewPoints{{{*/
-	long ListofIntersectionTriangles::NewPoints(BamgVertex* vertices,long &nbv,long maxnbv){
+	long ListofIntersectionTriangles::NewPoints(BamgVertex* vertices,long &nbv,long maxnbv){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/NewPoints)*/
 
@@ -180,6 +173,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION ListofIntersectionTriangles::ReShape{{{*/
-	void ListofIntersectionTriangles::ReShape(){ 
+	void ListofIntersectionTriangles::ReShape(){ /*{{{*/
 
 		int newsize = MaxSize*2;
@@ -196,6 +188,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION ListofIntersectionTriangles::SplitEdge{{{*/
-	void ListofIntersectionTriangles::SplitEdge(const Mesh & Bh, const R2 &A,const R2  &B,int nbegin) {
+	void ListofIntersectionTriangles::SplitEdge(const Mesh & Bh, const R2 &A,const R2  &B,int nbegin) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/ListofIntersectionTriangles)*/
 
